using System;

namespace angGoGo.GalleryNET
{
	/// <summary>
	///		GalleryNETException specifies the Exception caused by GalleryNET
	/// </summary>
	public class GalleryNETException:System.Exception
	{
		/// <summary>
		/// Initializes a new instance of the GalleryNETException class.
		/// </summary>
		public GalleryNETException():base()
		{
		}

		/// <summary>
		/// Initializes a new instance of the GalleryNETException class with a specified error message.
		/// </summary>
		/// <param name="message">The error message that explains the reason for the exception. </param>
		public GalleryNETException(string message):base(message)
		{
		}

		/// <summary>
		/// Initializes a new instance of the GalleryNETException class with a specified error message and a reference to the inner exception that is the cause of this exception.
		/// </summary>
		/// <param name="message">The error message that explains the reason for the exception. </param>
		/// <param name="innerException">The exception that is the cause of the current exception. If the innerException parameter is not a null reference, the current exception is raised in a catch block that handles the inner exception. </param>
		public GalleryNETException(string message,
			Exception innerException):base(message,innerException)
		{
		}

	}
}
