using System;

namespace angGoGo.GalleryNET.GalleryData
{
	/// <summary>
	/// Specifies the image information in GalleryNET
	/// </summary>
	public struct GalleryInfo
	{
		private string _FullName;
		/// <summary>
		/// Gets or sets file name with path
		/// </summary>
		public string FullName 
		{
			get {return _FullName;}
			set {_FullName=value;}
		}

		private string _FileName;
		/// <summary>
		/// Gets or sets the single file name
		/// </summary>
		public string FileName
		{
			get {return _FileName;}
			set {_FileName=value;}
		}

		private string _FileName1;
		/// <summary>
		/// Gets or sets file name with virtual name
		/// </summary>
		public string VirtualFileName
		{
			get {return _FileName1;}
			set {_FileName1=value;}
		}

		private string _ThumbName;
		/// <summary>
		/// Gets or sets the thumbnail file name with virtual path
		/// </summary>
		public string ThumbName
		{
			get {return _ThumbName;}
			set {_ThumbName=value;}
		}

		private int _ClickCount;
		/// <summary>
		/// Gets or sets the click times
		/// </summary>
		public int ClickCount
		{
			get {return _ClickCount;}
			set {_ClickCount=value;}
		}

		private int _Width;
		/// <summary>
		/// Gets or sets the width of image
		/// </summary>
		public int Width
		{
			get {return _Width;}
			set {_Width=value;}
		}

		private int _Height;
		/// <summary>
		/// Gets or sets the height of image
		/// </summary>
		public int Height
		{
			get {return _Height;}
			set {_Height=value;}
		}

		private int _ThumbWidth;
		/// <summary>
		/// Gets or sets the thumbnail scaling width
		/// </summary>
		public int ThumbWidth
		{
			get {return _ThumbWidth;}
			set {_ThumbWidth=value;}
		}

		private int _ThumbHeight;
		/// <summary>
		/// Gets or sets the thumbnail scaling height
		/// </summary>
		public int ThumbHeight
		{
			get {return _ThumbHeight;}
			set {_ThumbHeight=value;}
		}

		private string _PixelFormat;
		/// <summary>
		/// Gets or sets the pixeformat of image
		/// </summary>
		public string PixelFormat
		{
			get {return _PixelFormat;}
			set {_PixelFormat=value;}
		}

		private long _Size;
		/// <summary>
		/// Gets or sets the image file size
		/// </summary>
		public long Size
		{
			get {return _Size;}
			set {_Size=value;}
		}

		private DateTime _CreateTime;
		/// <summary>
		/// Gets or sets the creation time of image file
		/// </summary>
		public DateTime CreateTime
		{
			get {return _CreateTime;}
			set {_CreateTime=value;}
		}

		// 
		// I cancel these properties, because I do think they are useless in web applicaion
		//
//		private DateTime _LastAccessTime;
//		/// <summary>
//		/// Gets or sets the last access time of image file
//		/// </summary>
//		public DateTime LastAccessTime
//		{
//			get {return _LastAccessTime;}
//			set {_LastAccessTime=value;}
//		}
//
//		private DateTime _LastWriteTime;
//		/// <summary>
//		/// Gets or sets the last write time of image file
//		/// </summary>
//		public DateTime LastWriteTime
//		{
//			get {return _LastWriteTime;}
//			set {_LastWriteTime=value;}
//		}

	}
}
