using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace angGoGo.GalleryNET.web
{
	using angGoGo.GalleryNET.Core;
	/// <summary>
	/// index description
	/// </summary>
	public class index : System.Web.UI.Page
	{
		protected string addonpath;

		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Request.QueryString["addon"]!=null)
				addonpath = Request.QueryString["addon"];
			else
				addonpath = "";
	}

		#region OnInit
		override protected void OnInit(EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}
		
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion

		protected void ShowGalleryGrid()
		{
			if (addonpath.IndexOf("..")>=0)
			{
				Response.Write("<font color=red><b>You cannot pass an addonpath with \"..\".</font></b>");
				return;
			}

			angGoGo.GalleryNET.Core.GalleryGrid galleryGrid = new GalleryNET.Core.GalleryGrid(Response);
			galleryGrid.Cols = 2;
			galleryGrid.TableHtml = "<table align=center border=0 width=95% cellspacing=0 cellpadding=3>";
			galleryGrid.Show(GridType.ShowFolder, addonpath);

			Response.Write ("<BR><BR>");

			// the following lines want to show you could differentiate showing folder and album
			// pass a GridType.ShowAlbum to tell GalleryGrid to only show album but no folders.
			//
			// Why is it useful? In some cases:
			// There are sub-folders and pictures under the same folder
			// you can choose different HTML (table header, footing etc) to display the folder and album
			galleryGrid = new Core.GalleryGrid(Response);
			galleryGrid.Cols = 2;
			galleryGrid.Show(GridType.ShowAlbum, addonpath);

		}

		// output the addonpath string
		protected void Write(string f)
		{
			string[] folders = f.Split('/');
			for (int i=0; i<folders.Length; i++)
			{
				Response.Write("<a href='index.aspx?addon=" + FormatSubFolders(folders, i) + "'>");
				Response.Write("<font color=#465B7A size=4 style='TEXT-DECORATION: none;'>");
				Response.Write(folders[i] + "</font></a>");
				
				if (i+1!=folders.Length)
					Response.Write(" - ");
			}
		}

		// format the subfolder link string
		protected string FormatSubFolders(string[] folders, int idx)
		{
			string retval = folders[0];

			for (int i=1; i<=idx;  i++)
			{
				retval = retval + "/" + folders[i];
			}
			return retval;
		}
	}
}
